import java.awt.*;
import java.util.*;

/**
 *  ""
 */
public class BackGr {

    /**
     * ,  .
     */
    class AutomatBackGr extends Automat {

        public AutomatBackGr() {
            setState(0);
            setName("Automat A1");
        }

        public boolean x1() {
            return (playing);
        }

        public void z5_1() {
            trackNum++;
            if (trackNum == trackTotal + 1) trackNum = 1;
        }

        public void z5_2() {
            trackNum--;
            if (trackNum == 0) trackNum = trackTotal;
        }

        public void z5_3() {
            owner.pressPlay();
        }

        public void z5_4() {
            owner.pressStop();
        }

        /**
         *  
         */
        public void A(Integer event) {
            A(event.intValue());
        }

        public void A(int e) {
            int y0 = getState();
            int yold = y0;
            /*
            e1-right
            e2-left
            e3-play
            e4-stop
            */
            try {
                switch (y0) {
                    case 0:
                        if (e == 1) {
                            y0 = 0;
                            z5_1();
                        }
                        if (e == 2) {
                            y0 = 0;
                            z5_2();
                        }
                        if (e == 3) {
                            y0 = 1;
                            z5_3();
                        }
                        break;
                    case 1:
                        if (e == 4) {
                            y0 = 0;
                            z5_4();
                        }

                        break;

                    default:
                        break;
                }
            } catch (Exception ex) {
            }

            setState(y0);


        }

        ;


    }

    ;

    /**
     * ,  .
     */
    public AutomatBackGr A5;

    /**
     * -
     */
    private Screen owner;
    private boolean playing;


    /**
     *       
     */
    private int x;
    private int y;

    /**
     *   (    )
     */
    private Image img;

    /* */
    /**
     *   
     */
    private int trackNum;

    public int getTrackNum() {
        return trackNum;
    }

    ;

    public void setTrackNum(int n) {
        trackNum = n;
    }


    /**
     *   
     */
    private int trackTotal;

    public int getTrackTotal() {
        return trackTotal;
    }

    public void setTrackTotal(int n) {
        trackTotal = n;
    }

    /**
     *   
     */
    private int zoom;

    public int getZoom() {
        return zoom;
    }

    private Font labelFont;
    private Font trackFont;
    private Font playingFont;

    /**
     * 
     */
    public BackGr(Screen s) {
        //owner = o;
        //cannonName = o.getName() + " cannon";
        A5 = new AutomatBackGr();
        owner = s;
        x = s.getX() + 1;
        y = s.getY() + 1;

        trackNum = 1;
        labelFont = new Font("Courier", Font.BOLD , 16);
        trackFont = new Font("Courier", Font.ITALIC,14);
        playingFont = new Font("Courier", Font.BOLD,22);

        /*trackTotal = 7;*/


        trackTotal = 0;

        zoom = 1;
    }

    /**
     *    
     */
    public void draw(Graphics g) {
        int state = A5.getState();
        ArrayList al = owner.owner.playMode.getTracks();
        Color old = g.getColor();

        if (state == 0) {
            int num;
            int limit = al.size() > 6 ? 6 : al.size();
            g.setColor(Color.white);
            g.setFont(labelFont);
            g.drawString("Mode: " + owner.owner.menuChooseRepeatMode.getSelectedItem(), x + 5, y + 20);
            g.drawString("Tracks: ", x + 5, y + 40);


            for (int i = 1; i <= limit; i++) {
                num = i + (trackNum / 6) * (trackNum % 6);


                g.setFont(trackFont);

                if (num == trackNum) {
                    g.setColor(Color.green);
                } else {
                    g.setColor(Color.white);
                }
                g.drawString(al.get(num - 1).toString(), x + 100, y + i * 20 + 20);

            }
        } else if (state == 1) {
            g.setFont(playingFont);
            g.setColor(Color.white);
            g.drawString("Playing: " + al.get(trackNum - 1), x + 20 , y + 80);
        }

        g.setColor(old);


    }
}
