
import java.awt.event.*;
import javax.swing.*;


/**
*      
*/
public class ControlPanel extends JPanel implements ActionListener{
    
    public JButton up;
    public JButton down;
    public JButton left;
    public JButton right;

    public JButton menubut;
    
    public ControlPanel() {
        super();
        int butSize = 40;    
        setBounds(245, 80, 10 * 4 + 3 * butSize, 10 * 4 + 3 * butSize);

        up = new JButton(ImageMap.getImageIcon("buttons/play.jpg"));
        up.setBounds(10 + butSize + 10, 10, butSize, butSize);

        down = new JButton(ImageMap.getImageIcon("buttons/stop.jpg"));
        down.setBounds(10 + butSize + 10, 10 + 2*(butSize + 10), butSize, butSize);

        left = new JButton(ImageMap.getImageIcon("buttons/left.jpg"));
        left.setBounds(10,  10 + butSize + 10, butSize, butSize);
        right = new JButton(ImageMap.getImageIcon("buttons/right.jpg"));
        right.setBounds(10 + 2*(butSize + 10), 10 + butSize + 10, butSize, butSize);

        menubut = new JButton(ImageMap.getImageIcon("buttons/ok.jpg"));
        menubut.setBounds(10 + butSize + 10, 10 + butSize + 10, butSize, butSize);
        
        addActionListener(this);
        
        setLayout(null);
        
        add(up);
        add(down);
        add(right);
        add(left);
        add(menubut);
    };
    
    public void addActionListener(ActionListener listener) {
        up.addActionListener(listener);
        down.addActionListener(listener);
        right.addActionListener(listener);
        left.addActionListener(listener);
        menubut.addActionListener(listener);
    }
    
    public void addKeyListener(KeyListener listener) {
        super.addKeyListener(listener);  
    }
    
    public void actionPerformed(ActionEvent e)     {
        Object source = e.getSource();

    };
    
}
