import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

/**
 * <code>AudioPlayer</code> -  ,  .
 */
public final class AudioPlayer extends JFrame
        implements ActionListener, MouseMotionListener, MouseListener, ComponentListener {

    public Screen screen;
    public BackGr backGr;
    public MenuAuto menuAuto;
    public MenuChooseDeleteMode menuChooseDeleteMode;
    public MenuChooseRepeatMode menuChooseRepeatMode;
    public PlayMode playMode;
    public PlayAudio playAudio;

    public ClientArea clientArea = new ClientArea(this);
    public ControlPanel controlPanel = new ControlPanel();


    public static void main(String[] args) {
        Frame f;
        f = new AudioPlayer("Audio Player");
        f.setResizable(false);
    }

    ;

    public void paintClient(Graphics g) {
        screen.draw(g);
    }

    ;

    public AudioPlayer(String s) {
        super(s);
        int i;

        screen = new Screen(this);
        backGr = new BackGr(screen);
        menuAuto = new MenuAuto(screen);
        playMode = new PlayMode(this);
        playAudio = new PlayAudio(this);

        menuChooseDeleteMode = new MenuChooseDeleteMode(screen);
        menuChooseRepeatMode = new MenuChooseRepeatMode(screen);
        //getContentPane().setLayout(new BorderLayout());
        getContentPane().setLayout(null);

        clientArea.setBounds(10, 20, 220, 170);
        clientArea.setBackground(Color.black);
        getContentPane().add(clientArea);

        controlPanel.addActionListener(this);
        controlPanel.setBounds(250, 20, 400, 250);
        getContentPane().add(controlPanel);//, BorderLayout.WEST);

        clientArea.addMouseMotionListener(this);
        clientArea.addMouseListener(this);

        addComponentListener(this);
        addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                System.exit(0);
            }
        });

        setBounds(100, 100, 400, 200);
        setSize(430, 240);
        setVisible(true);
        repaint();

    }

    public void actionPerformed(ActionEvent e) {
        Object source = e.getSource();

        if (source == controlPanel.up) {


            screen.pressPlay();

        } else if (source == controlPanel.down) {


            screen.pressStop();

        } else if (source == controlPanel.right) {


            screen.pressRight();

        } else if (source == controlPanel.left) {


            screen.pressLeft();

        } else if (source == controlPanel.menubut) {


            screen.pressMenubut();

        }

        /*if (source == controlPanel.up) {

           Log.writeln("Press button Up");
           screen.pressUp();

       }else if(source == controlPanel.down) {

           Log.writeln("Press button Down");
           screen.pressDown();

       }else if(source == controlPanel.right) {

           Log.writeln("Press button Right");
           screen.pressRight();

       }else if(source == controlPanel.left) {

           Log.writeln("Press button Left");
           screen.pressLeft();

       }else if(source == topPanel.zoomIn) {

           Log.writeln("Press button ZoomIn");
           screen.pressZoomIn();

       }else if(source == topPanel.zoomOut) {

           Log.writeln("Press button ZoomOut");
           screen.pressZoomOut();

       }else if(source == topPanel.autoMode) {

           Log.writeln("Press button AutoMode");
           screen.pressAutoMode();

       }else if(source == topPanel.viewMode) {

           Log.writeln("Press button ViewMode");
           screen.pressSlideView();

       }else if(source == controlPanel.menubut) {

           Log.writeln("Press button MenuBut");
           screen.pressMenubut();

       }else if(source == topPanel.powerOn) {

           Log.writeln("Press button PowerOn");
           screen.pressOn();

       }else if(source == topPanel.powerOff) {

           Log.writeln("Press button PowerOff");
           screen.pressOff();

       }else if(source == topPanel.shoot) {

           Log.writeln("Press button shoot");
           screen.shoot();

       }; */

        clientArea.repaint();
    }

    ;

    public void mouseDragged(MouseEvent e) {
    }

    ;

    public void mouseMoved(MouseEvent e) {
    }

    ;

    public void mouseClicked(MouseEvent e) {
    }

    ;


    public void mouseEntered(MouseEvent e) {
    }


    public void mouseExited(MouseEvent e) {
    }

    public void mousePressed(MouseEvent e) {

    }

    public void mouseReleased(MouseEvent e) {
    }

    public void componentResized(ComponentEvent e) {
    }

    public void componentMoved(ComponentEvent e) {
    }

    public void componentShown(ComponentEvent e) {
    }

    public void componentHidden(ComponentEvent e) {
    }
}